Shopify collection products
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-shopify-collections-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"store_domain": "e.g. gymshark.com",
"collection": "e.g. mens",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-shopify-collections-products"
payload = {
"store_domain": "e.g. gymshark.com",
"collection": "e.g. mens",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({store_domain: 'e.g. gymshark.com', collection: 'e.g. mens', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-shopify-collections-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "shopify_collection_products",
"store_domain": "allbirds.com",
"collection": "mens",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Shopify collection products\n\n- **Store:** allbirds.com\n- **Collection:** mens\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 43.8 KB",
"machine": {
"store_domain": "allbirds.com",
"total_items": 2,
"first_item": {
"id": 7205191974992,
"alias": "mens-dasher-nz-anthracite",
"title": "Men's Dasher NZ - Anthracite (Dark Anthracite Sole)",
"url": "https://allbirds.com/products/mens-dasher-nz-anthracite",
"description": "A new take on our fan-favorite Dasher, made for busy days and spontaneous plans. Lightweight, breathable comfort keeps you cool as you move, with added heel protection where it counts. Fast when you w",
"description_html": "<p>A new take on our fan-favorite Dasher, made for busy days and spontaneous plans. Lightweight, breathable comfort keeps you cool as you move, with added heel protection where it counts. Fast when yo",
"brand": "Allbirds",
"product_type": "Shoes",
"tags": [
"allbirds::carbon-score => undefined",
"allbirds::cfId => color-ec0dcc8441508c674c885b8c8a990cfa"
],
"image": "https://cdn.shopify.com/s/files/1/1104/4168/files/A12416_26Q1_Dasher-NZ-Anthracite-Dark-Anthr_PDP_LEFT.png?v=1768948005",
"images": [
"https://cdn.shopify.com/s/files/1/1104/4168/files/A12416_26Q1_Dasher-NZ-Anthracite-Dark-Anthr_PDP_LEFT.png?v=1768948005",
"https://cdn.shopify.com/s/files/1/1104/4168/files/A12416_26Q1_Dasher-NZ-Anthracite-Dark-Anthr_PDP_BACK.png?v=1768948005"
],
"options": [
{
"name": "Size",
"position": 1,
"values": [
"8",
"8.5"
]
}
],
"variants": [
{
"id": 41271176757328,
"title": "8",
"sku": "A12417M080",
"barcode": null,
"price": 140,
"list_price": null,
"currency": "USD",
"available": false,
"inventory_quantity": null,
"inventory_policy": null,
"inventory_management": null,
"fulfillment_service": null,
"requires_shipping": true,
"taxable": true,
"option1": "8",
"option2": null,
"option3": null,
"grams": 914,
"weight": null,
"weight_unit": null,
"position": 1,
"image": null,
"created_at": "2025-08-06T18:54:33-07:00",
"updated_at": "2026-09-30T08:16:00-07:00"
},
{
"id": 41271176790096,
"title": "8.5",
"sku": "A12417M085",
"barcode": null,
"price": 140,
"list_price": null,
"currency": "USD",
"available": false,
"inventory_quantity": null,
"inventory_policy": null,
"inventory_management": null,
"fulfillment_service": null,
"requires_shipping": true,
"taxable": true,
"option1": "8.5",
"option2": null,
"option3": null,
"grams": 927,
"weight": null,
"weight_unit": null,
"position": 2,
"image": null,
"created_at": "2025-08-06T18:54:33-07:00",
"updated_at": "2026-09-30T08:16:00-07:00"
}
],
"currency": "USD",
"price_min": 140,
"price_max": 140,
"available": true,
"published_at": "2026-08-24T09:53:01-07:00",
"created_at": "2025-08-06T18:54:33-07:00",
"updated_at": "2026-09-30T08:16:00-07:00",
"source": "json"
},
"items": [
{
"id": 7205191974992,
"alias": "mens-dasher-nz-anthracite",
"title": "Men's Dasher NZ - Anthracite (Dark Anthracite Sole)",
"url": "https://allbirds.com/products/mens-dasher-nz-anthracite",
"description": "A new take on our fan-favorite Dasher, made for busy days and spontaneous plans. Lightweight, breathable comfort keeps you cool as you move, with added heel protection where it counts. Fast when you w",
"description_html": "<p>A new take on our fan-favorite Dasher, made for busy days and spontaneous plans. Lightweight, breathable comfort keeps you cool as you move, with added heel protection where it counts. Fast when yo",
"brand": "Allbirds",
"product_type": "Shoes",
"tags": [
"allbirds::carbon-score => undefined",
"allbirds::cfId => color-ec0dcc8441508c674c885b8c8a990cfa"
],
"image": "https://cdn.shopify.com/s/files/1/1104/4168/files/A12416_26Q1_Dasher-NZ-Anthracite-Dark-Anthr_PDP_LEFT.png?v=1768948005",
"images": [
"https://cdn.shopify.com/s/files/1/1104/4168/files/A12416_26Q1_Dasher-NZ-Anthracite-Dark-Anthr_PDP_LEFT.png?v=1768948005",
"https://cdn.shopify.com/s/files/1/1104/4168/files/A12416_26Q1_Dasher-NZ-Anthracite-Dark-Anthr_PDP_BACK.png?v=1768948005"
],
"options": [
{
"name": "Size",
"position": 1,
"values": [
"8",
"8.5"
]
}
],
"variants": [
{
"id": 41271176757328,
"title": "8",
"sku": "A12417M080",
"barcode": null,
"price": 140,
"list_price": null,
"currency": "USD",
"available": false,
"inventory_quantity": null,
"inventory_policy": null,
"inventory_management": null,
"fulfillment_service": null,
"requires_shipping": true,
"taxable": true,
"option1": "8",
"option2": null,
"option3": null,
"grams": 914,
"weight": null,
"weight_unit": null,
"position": 1,
"image": null,
"created_at": "2025-08-06T18:54:33-07:00",
"updated_at": "2026-09-30T08:16:00-07:00"
},
{
"id": 41271176790096,
"title": "8.5",
"sku": "A12417M085",
"barcode": null,
"price": 140,
"list_price": null,
"currency": "USD",
"available": false,
"inventory_quantity": null,
"inventory_policy": null,
"inventory_management": null,
"fulfillment_service": null,
"requires_shipping": true,
"taxable": true,
"option1": "8.5",
"option2": null,
"option3": null,
"grams": 927,
"weight": null,
"weight_unit": null,
"position": 2,
"image": null,
"created_at": "2025-08-06T18:54:33-07:00",
"updated_at": "2026-09-30T08:16:00-07:00"
}
],
"currency": "USD",
"price_min": 140,
"price_max": 140,
"available": true,
"published_at": "2026-08-24T09:53:01-07:00",
"created_at": "2025-08-06T18:54:33-07:00",
"updated_at": "2026-09-30T08:16:00-07:00",
"source": "json"
},
{
"id": 7205195907152,
"alias": "mens-dasher-nz-light-burnt-olive",
"title": "Men's Dasher NZ - Light Burnt Olive (Natural White Sole)",
"url": "https://allbirds.com/products/mens-dasher-nz-light-burnt-olive",
"description": "A new take on our fan-favorite Dasher, made for busy days and spontaneous plans. Lightweight, breathable comfort keeps you cool as you move, with added heel protection where it counts. Fast when you w",
"description_html": "<p>A new take on our fan-favorite Dasher, made for busy days and spontaneous plans. Lightweight, breathable comfort keeps you cool as you move, with added heel protection where it counts. Fast when yo",
"brand": "Allbirds",
"product_type": "Shoes",
"tags": [
"allbirds::carbon-score => undefined",
"allbirds::cfId => color-8b1cde6894e604759c6bbc2e7f9fe77a"
],
"image": "https://cdn.shopify.com/s/files/1/1104/4168/files/A12519_26Q1_Dasher-NZ-Light-Burnt-Olive-Natural-White-Sole_PDP_LEFT.png?v=1768948277",
"images": [
"https://cdn.shopify.com/s/files/1/1104/4168/files/A12519_26Q1_Dasher-NZ-Light-Burnt-Olive-Natural-White-Sole_PDP_LEFT.png?v=1768948277",
"https://cdn.shopify.com/s/files/1/1104/4168/files/A12519_26Q1_Dasher-NZ-Light-Burnt-Olive-Natural-White-Sole_PDP_BACK.png?v=1768948277"
],
"options": [
{
"name": "Size",
"position": 1,
"values": [
"8",
"8.5"
]
}
],
"variants": [
{
"id": 41271198777424,
"title": "8",
"sku": "A12520M080",
"barcode": null,
"price": 140,
"list_price": null,
"currency": "USD",
"available": false,
"inventory_quantity": null,
"inventory_policy": null,
"inventory_management": null,
"fulfillment_service": null,
"requires_shipping": true,
"taxable": true,
"option1": "8",
"option2": null,
"option3": null,
"grams": 914,
"weight": null,
"weight_unit": null,
"position": 1,
"image": null,
"created_at": "2025-08-06T19:45:32-07:00",
"updated_at": "2026-09-30T08:16:00-07:00"
},
{
"id": 41271198810192,
"title": "8.5",
"sku": "A12520M085",
"barcode": null,
"price": 140,
"list_price": null,
"currency": "USD",
"available": false,
"inventory_quantity": null,
"inventory_policy": null,
"inventory_management": null,
"fulfillment_service": null,
"requires_shipping": true,
"taxable": true,
"option1": "8.5",
"option2": null,
"option3": null,
"grams": 927,
"weight": null,
"weight_unit": null,
"position": 2,
"image": null,
"created_at": "2025-08-06T19:45:32-07:00",
"updated_at": "2026-09-30T08:16:00-07:00"
}
],
"currency": "USD",
"price_min": 140,
"price_max": 140,
"available": true,
"published_at": "2026-09-25T16:57:57-07:00",
"created_at": "2025-08-06T19:45:32-07:00",
"updated_at": "2026-09-30T08:16:00-07:00",
"source": "json"
}
],
"source": "json",
"proxy_traffic_bytes": 44820
},
"total_points": 2
}E-commerce & Marketplaces
Shopify collection products
Products of a Shopify collection with options, variants, prices and availability. 1 point per returned record.
POST
/
functions
/
v1
/
run-shopify-collections-products
Shopify collection products
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.